| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
Attrib::Data2DHolder Class Reference
AttributeEngine

Class that holds 2d seismic data or attribute data. More...

`#include <attribdataholder.h>`

Inheritance diagram for Attrib::Data2DHolder:
[legend]

## Public Member Functions
int | getDataHolderIndex (int) const
TrcKeyZSampling | getTrcKeyZSampling () const
bool | isEmpty () const
int | size () const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Public Attributes
ObjectSet< DataHolder > | dataset_
ObjectSet< SeisTrcInfo > | trcinfoset_

## Protected Member Functions
virtual | ~Data2DHolder ()
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Additional Inherited Members
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)

## Detailed Description

Class that holds 2d seismic data or attribute data.

<>

## Constructor & Destructor Documentation

## ◆ ~Data2DHolder()

virtual Attrib::Data2DHolder::~Data2DHolder | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ getDataHolderIndex()

int Attrib::Data2DHolder::getDataHolderIndex | ( | int |  | ) | const

## ◆ getTrcKeyZSampling()

TrcKeyZSampling Attrib::Data2DHolder::getTrcKeyZSampling | ( |  | ) | const

## ◆ isEmpty()

bool Attrib::Data2DHolder::isEmpty | ( |  | ) | const
| inline

## ◆ size()

int Attrib::Data2DHolder::size | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ dataset_

ObjectSet<DataHolder> Attrib::Data2DHolder::dataset_

Note
  that z0 on the dataholder refers to samples in trcinfoset_.sampling.

## ◆ trcinfoset_

ObjectSet<SeisTrcInfo> Attrib::Data2DHolder::trcinfoset_

Note
  that the sampling is the same for all traces.

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025